netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
atp_block Struct Reference

`#include <atp.h>`

## Data Fields
struct sockaddr_at * | atp_saddr
union { |
struct sreq_st sreqdata |
struct rres_st rresdata |
struct rreq_st rreqdata |
struct sres_st sresdata |
} | atp_data
uint8_t | atp_bitmap

## Field Documentation

## ◆ atp_bitmap

uint8_t atp_block::atp_bitmap

response buffer bitmap

## ◆ [union]

union { ... } atp_block::atp_data

## ◆ atp_saddr

struct sockaddr_at* atp_block::atp_saddr

from/to address

## ◆ rreqdata

struct rreq_st atp_block::rreqdata

## ◆ rresdata

struct rres_st atp_block::rresdata

## ◆ sreqdata

struct sreq_st atp_block::sreqdata

## ◆ sresdata

struct sres_st atp_block::sresdata

The documentation for this struct was generated from the following file:

- atp.h